Bug 1481296 - CloudForms REST API searching for reports by names that contain '>' fails with a '400 - Bad Request'
Summary: CloudForms REST API searching for reports by names that contain '>' fails wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Tim Wade
QA Contact: Martin Kourim
URL:
Whiteboard: rest:report
Depends On: 1365013
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-14 13:50 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
10 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1365013
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2488041 None None None 2017-08-14 13:51:16 UTC
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-14 13:56:07 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f5a310f483823b1862176d67f3f318e131d5ae09

commit f5a310f483823b1862176d67f3f318e131d5ae09
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Thu Aug 3 16:27:46 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Aug 14 09:52:08 2017 -0400

    Merge pull request #15534 from imtayadeway/bug/api-filter-operators-on-rhs
    
    Allow operator characters on the RHS of filter
    (cherry picked from commit d9cd967808d3ae037937a1be3a342b7a82406885)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1481296

 lib/api/filter.rb           | 11 ++++++++++-
 spec/lib/api/filter_spec.rb |  9 +++++++++
 2 files changed, 19 insertions(+), 1 deletion(-)

Comment 3 Martin Kourim 2017-09-05 08:24:50 UTC
Verified with GET /api/reports?filter[]=name='VMs%20with%20Free%20Space%20%3E%2050%25%20by%20Department'&limit=1&expand=resources

Comment 5 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.